#!/bin/awk -f

BEGIN{
  mini = 0;
  maxi = -1;
  di = -1./10.;

  pi = 3.1415926535;

  i = mini;
  while (i > maxi) {
    print acos(i)/pi*180, 0;
    i = i + di;
  }
}

func acos(x) {
  return atan2(sqrt(abs(1.-x**2)),x);
}

func abs(x) {
  if (x > 0) {
    return x;
  } else {
    return -x;
  }
}

